Index: general.ent
===================================================================
--- general.ent	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ general.ent	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -670,6 +670,7 @@
 <!ENTITY shared-desktop-ontologies-version "0.9.0">
 <!ENTITY polkit-qt-version            "0.103.0">
-<!ENTITY oxygen-icons-version         "4.8.0">
-<!ENTITY kde4libs-version             "4.8.0">
+<!ENTITY oxygen-icons-version         "4.8.1">
+<!ENTITY kde4libs-version             "4.8.1">
+<!ENTITY kde4runtime-version          "4.8.1">
 <!ENTITY kde4pim-version              "4.4.10">
 <!ENTITY kde4-download-http-pim       "http://mirrors.isc.org/pub/kde/&kde4-branch;/kdepim-&kde4pim-version;/src">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ introduction/welcome/changelog.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -45,4 +45,13 @@
       <para>March 6th, 2012</para>
       <itemizedlist>
+	<listitem>
+          <para>[rthomsen] - kde-runtime-4.8.1.</para>
+        </listitem>
+	<listitem>
+          <para>[rthomsen] - kdelibs-4.8.1.</para>
+        </listitem>
+	<listitem>
+          <para>[rthomsen] - oxygen-icons-4.8.1.</para>
+        </listitem>
         <listitem>
           <para>[krejzi] - gnupg-1.4.12.</para>
Index: kde4/core/akonadi.xml
===================================================================
--- kde4/core/akonadi.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/akonadi.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -88,13 +88,10 @@
     <title>Installation of Akonadi</title>
 
-    <para>Create a build directory:</para>
+    <para>Install <application>akonadi</application> by running the following
+    commands:</para>
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Install <application>akonadi</application> by running the following
-    commands:</para>
-       
-<screen><userinput>CMAKE_PREFIX_PATH=$QT4DIR \
+cd build &amp;&amp;
+CMAKE_PREFIX_PATH=$QT4DIR \
       cmake -DCMAKE_INSTALL_PREFIX=&kde4-dir; .. &amp;&amp;
 make</userinput></screen>
@@ -109,5 +106,5 @@
     <title>Command Explanations</title>
 
-    <para><option>CMAKE_PREFIX_PATH=$QT4DIR</option>: This option is set to find automoc4</para>
+    <para><option>CMAKE_PREFIX_PATH=$QT4DIR</option>: This option is set to find automoc4.</para>
 
   </sect2>
Index: kde4/core/attica.xml
===================================================================
--- kde4/core/attica.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/attica.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -86,9 +86,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=&kde4-dir; .. &amp;&amp;
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=&kde4-dir; .. &amp;&amp;
 make</userinput></screen>
 
Index: kde4/core/automoc4.xml
===================================================================
--- kde4/core/automoc4.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/automoc4.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -88,9 +88,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$QT4DIR \
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$QT4DIR \
       .. &amp;&amp;
 make</userinput></screen>
Index: kde4/core/core.xml
===================================================================
--- kde4/core/core.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/core.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -29,5 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde4libs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde4pimlibs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde4baseruntime.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde4runtime.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde4base.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde4graphics.xml"/>
Index: e4/core/kde4baseruntime.xml
===================================================================
--- kde4/core/kde4baseruntime.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ 	(revision )
@@ -1,166 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY kde4baseruntime-download-http "&kde4-download-http;/kdebase-runtime-&kde4-version;.tar.bz2">
-  <!ENTITY kde4baseruntime-download-ftp  "&kde4-download-ftp;/kdebase-runtime-&kde4-version;.tar.bz2">
-  <!ENTITY kde4baseruntime-md5sum        "1f9d6bc64d7b84a74dd3ab06615c71ce">
-  <!ENTITY kde4baseruntime-size          "5.6 MB">
-  <!ENTITY kde4baseruntime-buildsize     "324 MB">
-  <!ENTITY kde4baseruntime-time          "6.4 SBU">
-]>
-
-<sect1 id="kde4baseruntime" xreflabel="kde4baseruntime-&kde4-version;">
-  <?dbhtml filename="kde4baseruntime.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Kdebase-Runtime-&kde4-version;</title>
-
-  <indexterm zone="kde4baseruntime">
-    <primary sortas="a-kde4baseruntime">kde4baseruntime</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Kdebase-Runtime</title>
-
-    <para>kdebase-runtime is for runtime dependencies and is a required 
-    package for <application>KDE</application> applications like kdesu, 
-    kfile etc.</para>
-
-    &lfs67_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&kde4baseruntime-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&kde4baseruntime-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &kde4baseruntime-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &kde4baseruntime-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &kde4baseruntime-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &kde4baseruntime-time;</para>
-      </listitem>
-    </itemizedlist>
-
-<!--
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing='compact'>
-      <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/kde4baseruntime-&kdelibs-version;-fixes-1.patch"/></para>
-      </listitem>
-    </itemizedlist>
--->
-    <bridgehead renderas="sect3">Kdebase-Runtime Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-    <xref linkend="attica"/>, 
-    <xref linkend="soprano"/>
-    <xref linkend="strigi"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-    <xref linkend="libjpeg"/>,
-    <xref linkend="exiv2"/>,
-    <ulink url="http://www.openexr.com/">OpenEXR</ulink>, 
-    <xref linkend="shared-mime-info"/>, 
-    <xref linkend="shared-desktop-ontologies"/>, 
-    <xref linkend="samba3"/>,
-    <xref linkend="gpgme"/>,
-    <xref linkend="phonon"/>,
-    <xref linkend="alsa-lib"/>, PulseAudio,
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-    <xref linkend="xine-lib"/>, SLP, NetworkManager, libcanberra, QNtrack
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/kde4baseruntime"/>
-    </para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Kdebase-Runtime</title>
-
-    <para>Install <application>kdebaseruntime</application> by running the following
-    commands:</para>
-
-<screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX \
-      -DKDE_DEFAULT_HOME=.kde4 \
-      -DSYSCONF_INSTALL_DIR=/etc/kde4 \
-      .. &amp;&amp;
-make</userinput></screen>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para><option>- -xyz</option>: This option is set for ...</para>
-
-  </sect2>
--->
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-	<seg>several programs in &kde4-dir;/bin</seg>
-        <seg>several libs in &kde4-dir;/lib</seg>
-        <seg></seg>
-      </seglistitem>
-    </segmentedlist>
-<!--
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="a-kde4baseruntime">
-        <term><command>kde4baseruntime</command></term>
-        <listitem>
-          <para>is a testing utility for kde4baseruntime-generated build trees.</para>
-          <indexterm zone="a-kde4baseruntime kde4baseruntime">
-            <primary sortas="b-kde4baseruntime">kdelibs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
--->
-  </sect2>
-
-</sect1>
Index: kde4/core/kde4libs.xml
===================================================================
--- kde4/core/kde4libs.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/kde4libs.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY kde4libs-download-http "http://mirrors.isc.org/pub/kde/stable/4.8.0/src/kdelibs-&kde4libs-version;.tar.bz2">
-  <!ENTITY kde4libs-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/4.8.0/src/kdelibs-&kde4libs-version;.tar.bz2">
-  <!ENTITY kde4libs-md5sum        "c19858c68f9a209ae521d7fb3c34747b">
-  <!ENTITY kde4libs-size          "12.4 MB">
+  <!ENTITY kde4libs-download-http "http://mirrors.isc.org/pub/kde/stable/4.8.1/src/kdelibs-&kde4libs-version;.tar.xz">
+  <!ENTITY kde4libs-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/4.8.1/src/kdelibs-&kde4libs-version;.tar.xz">
+  <!ENTITY kde4libs-md5sum        "0488ec7d753c3455876d9e3f76406292">
+  <!ENTITY kde4libs-size          "11.1 MB">
   <!ENTITY kde4libs-buildsize     "1.7 GB">
-  <!ENTITY kde4libs-time          "25 SBU">
+  <!ENTITY kde4libs-time          "24 SBU">
 ]>
 
@@ -123,9 +123,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$&kde4-dir-var; \
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$&kde4-dir-var; \
       -DKDE_DEFAULT_HOME=.kde4 \
       -DSYSCONF_INSTALL_DIR=/etc/kde4 \
Index: kde4/core/kde4runtime.xml
===================================================================
--- kde4/core/kde4runtime.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
+++ kde4/core/kde4runtime.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY kde4runtime-download-http "http://mirrors.isc.org/pub/kde/stable/4.8.1/src/kde-runtime-&kde4runtime-version;.tar.xz">
+  <!ENTITY kde4runtime-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/4.8.1/src/kde-runtime-&kde4runtime-version;.tar.xz">
+  <!ENTITY kde4runtime-md5sum        "9fa9c4015f158d1b434a5b8653e65dcf">
+  <!ENTITY kde4runtime-size          "5.5 MB">
+  <!ENTITY kde4runtime-buildsize     "548 MB">
+  <!ENTITY kde4runtime-time          "7.5 SBU">
+]>
+
+<sect1 id="kde4runtime" xreflabel="kde4runtime-&kde4runtime-version;">
+  <?dbhtml filename="kde4runtime.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: bdubbs $</othername>
+    <date>$Date: 2011-10-26 23:29:54 +0200 (Wed, 26 Oct 2011) $</date>
+  </sect1info>
+
+  <title>Kde-Runtime-&kde4runtime-version;</title>
+
+  <indexterm zone="kde4runtime">
+    <primary sortas="a-kde4runtime">kde4runtime</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Kde-Runtime</title>
+
+    <para>Kde-runtime is for runtime dependencies and is a required 
+    package for <application>KDE</application> applications like kdesu, 
+    kfile etc.</para>
+
+    &lfs70_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&kde4runtime-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&kde4runtime-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &kde4runtime-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &kde4runtime-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &kde4runtime-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &kde4runtime-time;</para>
+      </listitem>
+    </itemizedlist>
+
+<!--
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Required patch: <ulink
+        url="&patch-root;/kde4runtime-&kde4runtime-version;-fixes-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+-->
+    <bridgehead renderas="sect3">Kde-Runtime Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+    <xref linkend="kde4libs"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+    <xref linkend="libjpeg"/>, 
+    <xref linkend="exiv2"/>, 
+    <xref linkend="shared-desktop-ontologies"/>, 
+    <xref linkend="shared-mime-info"/>, 
+    <xref linkend="alsa-lib"/> and 
+    <xref linkend="phonon"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+    <xref linkend="pulseaudio"/>, 
+    <xref linkend="xine-lib"/>, 
+    <xref linkend="libcanberra"/>, 
+    <xref linkend="samba3"/>, 
+    <xref linkend="libtirpc"/>, 
+    <ulink url="http://www.openslp.org/">OpenSLP</ulink>, 
+    <ulink url="http://launchpad.net/ntrack">QNtrack</ulink>, 
+    <ulink url="http://www.libssh.org/">LibSSH</ulink> and 
+    <ulink url="http://www.openexr.com/">OpenEXR</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/kde4runtime"/>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Kde-Runtime</title>
+
+    <para>Install <application>kderuntime</application> by running the following
+    commands:</para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX \
+      -DKDE_DEFAULT_HOME=.kde4 \
+      -DSYSCONF_INSTALL_DIR=/etc/kde4 \
+      .. &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+<!--
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>- -xyz</option>: This option is set for ...</para>
+
+  </sect2>
+-->
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+	<seg>kcmshell4, kde4, kde4-menu, kdebugdialog, kde-cp, keditfiletype, 
+	kde-mv, kde-open, kfile4, kglobalaccel, khelpcenter, khotnewstuff4, 
+	khotnewstuff-upload, kiconfinder, kioclient, kmimetypefinder, knotify4, 
+	kreadconfig, ksvgtopng, ktraderclient, ktrash, kwriteconfig, kquitapp, 
+	kstart, kuiserver, kwalletd, nepomukbackup, nepomukcontroller, nepomukindexer, 
+	nepomukserver, nepomukservicestub and nepomuk-simpleresource-rcgen, plasmapkg, 
+	plasma-remote-helper and solid-hardware</seg>
+        <seg>Several in $KDE4_PREFIX/lib</seg>
+        <seg>several in /etc/kde4, $KDE4_PREFIX/include and $KDE4_PREFIX/share</seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="a-kde4runtime">
+        <term><command>kde4runtime</command></term>
+        <listitem>
+          <para>is a testing utility for kde4runtime-generated build trees.</para>
+          <indexterm zone="a-kde4runtime kde4runtime">
+            <primary sortas="b-kde4runtime">kdelibs</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+  </sect2>
+
+</sect1>
Index: kde4/core/oxygen-icons.xml
===================================================================
--- kde4/core/oxygen-icons.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/oxygen-icons.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY oxygen-icons-download-http "http://mirrors.isc.org/pub/kde/stable/4.8.0/src/oxygen-icons-&oxygen-icons-version;.tar.bz2">
-  <!ENTITY oxygen-icons-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/4.8.0/src/oxygen-icons-&oxygen-icons-version;.tar.bz2">
-  <!ENTITY oxygen-icons-md5sum        "2ae26ba235f207eb29677637c1d059a7">
-  <!ENTITY oxygen-icons-size          "359 MB">
-  <!ENTITY oxygen-icons-buildsize     "455 MB">
+  <!ENTITY oxygen-icons-download-http "http://mirrors.isc.org/pub/kde/stable/4.8.1/src/oxygen-icons-&oxygen-icons-version;.tar.xz">
+  <!ENTITY oxygen-icons-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/4.8.1/src/oxygen-icons-&oxygen-icons-version;.tar.xz">
+  <!ENTITY oxygen-icons-md5sum        "947d07c4f993e7cf070078358de13298">
+  <!ENTITY oxygen-icons-size          "262 MB">
+  <!ENTITY oxygen-icons-buildsize     "460 MB">
   <!ENTITY oxygen-icons-time          "less than 0.1 SBU">
 ]>
@@ -86,9 +86,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=&kde4-dir; ..</userinput></screen>
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=&kde4-dir; ..</userinput></screen>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -118,5 +115,5 @@
         <seg>None</seg>
         <seg>None</seg>
-        <seg>&kde4-dir;/share/icons/oxygen</seg>
+        <seg>$KDE4_PREFIX/share/icons/oxygen</seg>
       </seglistitem>
     </segmentedlist>
Index: kde4/core/phonon-backend-gstreamer.xml
===================================================================
--- kde4/core/phonon-backend-gstreamer.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/phonon-backend-gstreamer.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -85,9 +85,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX \
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX \
     .. &amp;&amp;
 make</userinput></screen>
Index: kde4/core/phonon-backend-vlc.xml
===================================================================
--- kde4/core/phonon-backend-vlc.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/phonon-backend-vlc.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -87,10 +87,7 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX \
-    .. &amp;&amp;
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX \
+      .. &amp;&amp;
 make</userinput></screen>
 
Index: kde4/core/phonon.xml
===================================================================
--- kde4/core/phonon.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/phonon.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -98,9 +98,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$QT4DIR \
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$QT4DIR \
       -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE \
       .. &amp;&amp;
Index: kde4/core/polkit-qt.xml
===================================================================
--- kde4/core/polkit-qt.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/polkit-qt.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -87,10 +87,7 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>CMAKE_PREFIX_PATH=$QT4DIR \
-    cmake -DCMAKE_INSTALL_PREFIX=&kde4-dir; .. &amp;&amp;
+cd build &amp;&amp;
+CMAKE_PREFIX_PATH=$QT4DIR \
+      cmake -DCMAKE_INSTALL_PREFIX=&kde4-dir; .. &amp;&amp;
 make</userinput></screen>
 
Index: kde4/core/qimageblitz.xml
===================================================================
--- kde4/core/qimageblitz.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/qimageblitz.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -86,9 +86,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX .. &amp;&amp;
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX .. &amp;&amp;
 make</userinput></screen>
 
Index: kde4/core/shrdesktopontologies.xml
===================================================================
--- kde4/core/shrdesktopontologies.xml	(revision ae849326af4274fa04b5be7e7cc9057690e3f3a7)
+++ kde4/core/shrdesktopontologies.xml	(revision 806640c66eccc1f4c5e5a8b0496d350dd9290859)
@@ -100,9 +100,6 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build</userinput></screen>
-
-    <para>Prepare the package for compilation:</para>
-       
-<screen><userinput>cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX ..</userinput></screen>
+cd build &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$KDE4_PREFIX ..</userinput></screen>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>