Index: general.ent
===================================================================
--- general.ent	(revision d61526347fef73a656c69818397010caf6b6ef53)
+++ general.ent	(revision 822075f0f58b3c2d40908a94011ed71876d138c2)
@@ -693,4 +693,5 @@
 <!ENTITY libpeas-version              "1.2.0">
 <!ENTITY seed-version                 "3.2.0">
+<!ENTITY totem-pl-parser-version      "2.32.6">
 <!ENTITY vte-version                  "0.24.2">
 <!ENTITY zenity-version               "2.30.0">
@@ -765,5 +766,4 @@
 <!ENTITY system-tools-backends-version "2.9.4">
 <!ENTITY liboobs-version              "2.30.1">
-<!ENTITY totem-pl-parser-version      "2.30.1">
 
 <!-- Utilities -->
Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision d61526347fef73a656c69818397010caf6b6ef53)
+++ gnome/add/add.xml	(revision 822075f0f58b3c2d40908a94011ed71876d138c2)
@@ -32,5 +32,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="system-tools-backends.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="liboobs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="totem-pl-parser.xml"/>
 
   <!-- This is used as a TOC separator -->
Index: ome/add/totem-pl-parser.xml
===================================================================
--- gnome/add/totem-pl-parser.xml	(revision d61526347fef73a656c69818397010caf6b6ef53)
+++ 	(revision )
@@ -1,147 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY totem-pl-parser-download-http "&gnome-download-http;/totem-pl-parser/&gnome-version;/totem-pl-parser-&totem-pl-parser-version;.tar.bz2">
-  <!ENTITY totem-pl-parser-download-ftp  "&gnome-download-ftp;/totem-pl-parser/&gnome-version;/totem-pl-parser-&totem-pl-parser-version;.tar.bz2">
-  <!ENTITY totem-pl-parser-md5sum        "4e571af1a234a490b637cbcafe9974ca">
-  <!ENTITY totem-pl-parser-size          "820 KB">
-  <!ENTITY totem-pl-parser-buildsize     "11 MB">
-  <!ENTITY totem-pl-parser-time          "0.2 SBU">
-]>
-
-<sect1 id="totem-pl-parser" xreflabel="totem-pl-parser-&totem-pl-parser-version;">
-  <?dbhtml filename="totem-pl-parser.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>totem-pl-parser-&totem-pl-parser-version;</title>
-
-  <indexterm zone="totem-pl-parser">
-    <primary sortas="a-totem-pl-parser">totem-pl-parser</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to totem-pl-parser</title>
-
-    <para>The <application>totem-pl-parser</application> package is a simple
-    GObject-based library to parse a host of playlist formats, as well as save
-    those.</para>
-
-    &lfs65_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&totem-pl-parser-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&totem-pl-parser-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &totem-pl-parser-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &totem-pl-parser-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &totem-pl-parser-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &totem-pl-parser-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">totem-pl-parser Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="gmime"/>,
-    <xref linkend="intltool"/>, and
-    <xref linkend="libxml2"/></para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gtk-doc"/></para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/totem-pl-parser"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of totem-pl-parser</title>
-
-    <para>Install <application>totem-pl-parser</application> by running the following
-    commands:</para>
-
-<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &amp;&amp;
-make</userinput></screen>
-
-    <para>To test the results, issue: <command>make check</command>.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>None</seg>
-        <seg>libtotem-plparser-mini.{so,a} and libtotem-plparser.{so,a}</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/{include/totem-pl-parser/1/plparser,
-        share/gtk-doc/html/totem-pl-parser}</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libtotem-plparser">
-        <term><filename class='libraryfile'>libtotem-plparser.{so,a}</filename></term>
-        <listitem>
-          <para>is a <application>Totem</application> Playlist Parser
-          library.</para>
-          <indexterm zone="totem-pl-parser libtotem-plparser">
-            <primary sortas="c-libtotem-plparser">libtotem-plparser.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libtotem-plparser-mini">
-        <term><filename class='libraryfile'>libtotem-plparser-mini.{so,a}</filename></term>
-        <listitem>
-          <para>is a <application>Totem</application> Playlist Parser library,
-          mini version.</para>
-          <indexterm zone="totem-pl-parser libtotem-plparser-mini">
-            <primary sortas="c-libtotem-plparser-mini">libtotem-plparser-mini.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision d61526347fef73a656c69818397010caf6b6ef53)
+++ gnome/core/core.xml	(revision 822075f0f58b3c2d40908a94011ed71876d138c2)
@@ -49,5 +49,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libpeas.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="seed.xml"/>
-  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="totem-pl-parser.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="totem-pl-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="vte.xml"/>
   <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="yelp-xsl.xml"/> -->
Index: gnome/core/totem-pl-parser.xml
===================================================================
--- gnome/core/totem-pl-parser.xml	(revision 822075f0f58b3c2d40908a94011ed71876d138c2)
+++ gnome/core/totem-pl-parser.xml	(revision 822075f0f58b3c2d40908a94011ed71876d138c2)
@@ -0,0 +1,148 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY totem-pl-parser-download-http "&gnome-download-http;/totem-pl-parser/2.32/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
+  <!ENTITY totem-pl-parser-download-ftp  "&gnome-download-ftp;/totem-pl-parser/2.32/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
+  <!ENTITY totem-pl-parser-md5sum        "ee1fe94d2cd09c26bf9fef55d858d365">
+  <!ENTITY totem-pl-parser-size          "1.4 KB">
+  <!ENTITY totem-pl-parser-buildsize     "15 MB">
+  <!ENTITY totem-pl-parser-time          "0.2 SBU">
+]>
+
+<sect1 id="totem-pl-parser" xreflabel="totem-pl-parser-&totem-pl-parser-version;">
+  <?dbhtml filename="totem-pl-parser.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>totem-pl-parser-&totem-pl-parser-version;</title>
+
+  <indexterm zone="totem-pl-parser">
+    <primary sortas="a-totem-pl-parser">totem-pl-parser</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to totem-pl-parser</title>
+
+    <para>The <application>totem-pl-parser</application> package is a simple
+    GObject-based library to parse a host of playlist formats, as well as save
+    those.</para>
+
+    &lfs70_built;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&totem-pl-parser-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&totem-pl-parser-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &totem-pl-parser-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &totem-pl-parser-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &totem-pl-parser-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &totem-pl-parser-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">totem-pl-parser Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="gmime"/>,
+    <xref linkend="intltool"/>, and
+    <xref linkend="libxml2"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="gtk-doc"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/totem-pl-parser"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of totem-pl-parser</title>
+
+    <para>Install <application>totem-pl-parser</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+make</userinput></screen>
+
+    <para>A testsuite exists, but the tests require internet access and several
+    will fail.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>None</seg>
+        <seg>libtotem-plparser-mini.{so,a} and libtotem-plparser.{so,a}</seg>
+        <seg><envar>$GNOME_PREFIX</envar>/{include/totem-pl-parser/1/plparser,
+        share/gtk-doc/html/totem-pl-parser}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libtotem-plparser">
+        <term><filename class='libraryfile'>libtotem-plparser.{so,a}</filename></term>
+        <listitem>
+          <para>is a <application>Totem</application> Playlist Parser
+          library.</para>
+          <indexterm zone="totem-pl-parser libtotem-plparser">
+            <primary sortas="c-libtotem-plparser">libtotem-plparser.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libtotem-plparser-mini">
+        <term><filename class='libraryfile'>libtotem-plparser-mini.{so,a}</filename></term>
+        <listitem>
+          <para>is a <application>Totem</application> Playlist Parser library,
+          mini version.</para>
+          <indexterm zone="totem-pl-parser libtotem-plparser-mini">
+            <primary sortas="c-libtotem-plparser-mini">libtotem-plparser-mini.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d61526347fef73a656c69818397010caf6b6ef53)
+++ introduction/welcome/changelog.xml	(revision 822075f0f58b3c2d40908a94011ed71876d138c2)
@@ -63,4 +63,7 @@
           <para>[ken] - add sushi-0.2.1 from Wayne.</para>
         </listitem>
+        <listitem>
+          <para>[ken] - merge totem-pl-parser-2.32.6 from Wayne.</para>
+        </listitem>
       </itemizedlist>
     </listitem>