Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision 104872dd7a0bbb4004649ed1e08d94c2272b01f0)
+++ general/graphlib/freetype2.xml	(revision 842348b03bdfc00745245ba4378b937c7a5ac7f4)
@@ -122,5 +122,5 @@
     </para>
 
-<screen><userinput>tar -xf ../freetype-doc-&freetype2-doc-version;.tar.bz2 --strip-components=2 -C docs</userinput></screen>
+<screen><userinput>tar -xf ../freetype-doc-&freetype2-doc-version;.tar.xz --strip-components=2 -C docs</userinput></screen>
 
     <para>
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision 104872dd7a0bbb4004649ed1e08d94c2272b01f0)
+++ general/prog/python3.xml	(revision 842348b03bdfc00745245ba4378b937c7a5ac7f4)
@@ -8,8 +8,8 @@
            "https://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
   <!ENTITY python3-download-ftp  " ">
-  <!ENTITY python3-md5sum        "93df27aec0cd18d6d42173e601ffbbfd">
+  <!ENTITY python3-md5sum        "d33e4aae66097051c2eca45ee3604803">
   <!ENTITY python3-size          "16 MB">
-  <!ENTITY python3-buildsize     "177 MB (add 26 MB for tests)">
-  <!ENTITY python3-time          "0.9 SBU (add 1.4 SBU for tests)">
+  <!ENTITY python3-buildsize     "180 MB (add 22 MB for tests)">
+  <!ENTITY python3-time          "1.0 SBU (add 1.1 SBU for tests)">
   <!--
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 104872dd7a0bbb4004649ed1e08d94c2272b01f0)
+++ introduction/welcome/changelog.xml	(revision 842348b03bdfc00745245ba4378b937c7a5ac7f4)
@@ -46,4 +46,20 @@
       <para>July 9th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to python3-3.7.4. Fixes
+          <ulink url="&blfs-ticket-root;12244">#12244</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ffmpeg-4.1.4. Fixes
+          <ulink url="&blfs-ticket-root;12247">#12247</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to x265_3.1.1. Fixes
+          <ulink url="&blfs-ticket-root;12246">#12246</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nss-3.45. Fixes
+          <ulink url="&blfs-ticket-root;12243">#12243</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Add gcc9/qt-5.13 patch to grantlee.</para>
Index: multimedia/libdriv/x265.xml
===================================================================
--- multimedia/libdriv/x265.xml	(revision 104872dd7a0bbb4004649ed1e08d94c2272b01f0)
+++ multimedia/libdriv/x265.xml	(revision 842348b03bdfc00745245ba4378b937c7a5ac7f4)
@@ -7,8 +7,8 @@
   <!ENTITY x265-download-http "https://bitbucket.org/multicoreware/x265/downloads/x265_&x265-version;.tar.gz">
   <!ENTITY x265-download-ftp  " ">
-  <!ENTITY x265-md5sum        "c2c0455ca52772a24e7a37a8da42cd41">
+  <!ENTITY x265-md5sum        "248a4cdbd93e9a493c78ef0c07863b34">
   <!ENTITY x265-size          "1.4 MB">
   <!ENTITY x265-buildsize     "34 MB">
-  <!ENTITY x265-time          "0.4 SBU (using parallelism=4)">
+  <!ENTITY x265-time          "0.9 SBU (using parallelism=4)">
 ]>
 
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 104872dd7a0bbb4004649ed1e08d94c2272b01f0)
+++ multimedia/videoutils/ffmpeg.xml	(revision 842348b03bdfc00745245ba4378b937c7a5ac7f4)
@@ -7,7 +7,7 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.xz">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "dcc20dd2682ea01c678b7b8324339d43">
+  <!ENTITY ffmpeg-md5sum        "5307931aeb7aaee5e1509d9996040661">
   <!ENTITY ffmpeg-size          "8.5 MB">
-  <!ENTITY ffmpeg-buildsize     "156 MB (add 3.2 GB for the FATE suite/tests, add 643 MB for docs)">
+  <!ENTITY ffmpeg-buildsize     "160 MB (add 3.2 GB for the FATE suite/tests, add 643 MB for docs)">
   <!ENTITY ffmpeg-time          "1.4 SBU (using parallelism=4; add 3.8 SBU (with THREADS=4) to run the FATE suite after sample files are downloaded; add 0.6 SBU for docs)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 104872dd7a0bbb4004649ed1e08d94c2272b01f0)
+++ packages.ent	(revision 842348b03bdfc00745245ba4378b937c7a5ac7f4)
@@ -30,8 +30,8 @@
 <!ENTITY nettle-version               "3.5.1">
 
-<!ENTITY nss-minor-version            "44">
-<!ENTITY nss-micro-version            "1">
-<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">
-<!--<!ENTITY nss-version                  "3.&nss-minor-version;">-->
+<!ENTITY nss-minor-version            "45">
+<!ENTITY nss-micro-version            "0">
+<!--<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">-->
+<!ENTITY nss-version                  "3.&nss-minor-version;">
 <!ENTITY openssh-version              "8.0p1">
 <!-- <!ENTITY openssl-version              "1.1.0g"> -->
@@ -335,5 +335,5 @@
 <!ENTITY php-version                  "7.3.7">
 <!ENTITY python2-version              "2.7.16">
-<!ENTITY python3-version              "3.7.3">
+<!ENTITY python3-version              "3.7.4">
 <!ENTITY ruby-minor-version           "2.6">
 <!ENTITY ruby-patch-version           "3">
@@ -962,5 +962,5 @@
 <!ENTITY v4l-utils-version            "1.16.6">
 <!ENTITY x264-version                 "20190209-2245">
-<!ENTITY x265-version                 "3.1">
+<!ENTITY x265-version                 "3.1.1">
 <!ENTITY xine-lib-version             "1.2.9">
 <!ENTITY xvid-version                 "1.3.5">
@@ -978,5 +978,5 @@
 
 <!-- Chapter 44 -->
-<!ENTITY ffmpeg-version               "4.1.3">
+<!ENTITY ffmpeg-version               "4.1.4">
 <!ENTITY mplayer-version              "1.4">
 <!ENTITY xine-ui-version              "0.99.10">
Index: postlfs/security/nss.xml
===================================================================
--- postlfs/security/nss.xml	(revision 104872dd7a0bbb4004649ed1e08d94c2272b01f0)
+++ postlfs/security/nss.xml	(revision 842348b03bdfc00745245ba4378b937c7a5ac7f4)
@@ -9,15 +9,15 @@
 
 <!-- micro versions -->
-<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_&nss-micro-version;_RTM/src/nss-&nss-version;.tar.gz">
+<!--<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_&nss-micro-version;_RTM/src/nss-&nss-version;.tar.gz">-->
 
 <!-- no micro versions -->
-<!--<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_RTM/src/nss-&nss-version;.tar.gz">-->
+<!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_RTM/src/nss-&nss-version;.tar.gz">
 
   <!ENTITY nss-download-ftp " ">
-  <!ENTITY nss-md5sum        "511a37f35650812283274694b98c20b2">
+  <!ENTITY nss-md5sum        "f1752d7223ee9d910d551e57264bafa8">
   <!ENTITY nss-size          "72 MB">
   <!-- 50 MB increase is due to new test files, see #12187 -->
-  <!ENTITY nss-buildsize     "248 MB">
-  <!ENTITY nss-time          "2.5 SBU">
+  <!ENTITY nss-buildsize     "240 MB">
+  <!ENTITY nss-time          "2.7 SBU">
 ]>
 