Index: book/bookinfo.xml
===================================================================
--- book/bookinfo.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ book/bookinfo.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -45,5 +45,5 @@
       <revnumber>&version;</revnumber>
       <date>&pubdate;</date>
-      <revremark>Ongoing Release</revremark>
+      <revremark>Sixteenth Release</revremark>
     </revision>
 
Index: general.ent
===================================================================
--- general.ent	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ general.ent	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -6,10 +6,10 @@
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
-<!ENTITY version      "&year;-&month;-&day;">
+<!ENTITY version      "8.1">
 <!ENTITY releasedate  "September 1st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
-<!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
-<!ENTITY lfs-version  "development">          <!-- x.y|development -->
-<!ENTITY lfs-versiond "systemd">              <!-- x.y-systemd|systemd -->
+<!ENTITY blfs-version "8.1">                  <!-- svn|[release #] -->
+<!ENTITY lfs-version  "8.1">          <!-- x.y|development -->
+<!ENTITY lfs-versiond "8.1-systemd">              <!-- x.y-systemd|systemd -->
 <!ENTITY last-commit  "$Date$"> <!-- Automatic update -->
 <!ENTITY lfs-domainname       "linuxfromscratch.org">
@@ -25,5 +25,5 @@
      Update 'downloads-root-systemd' to x.y-systemd
      -->
-<!ENTITY downloads-root       "http://www.linuxfromscratch.org/blfs/downloads/svn">
+<!ENTITY downloads-root       "http://www.linuxfromscratch.org/blfs/downloads/8.1">
 <!ENTITY downloads-root-systemd "http://www.linuxfromscratch.org/blfs/downloads/systemd">
 <!ENTITY downloads-project    "http://downloads.&lfs-domainname;">
@@ -34,5 +34,5 @@
 <!ENTITY hints-root           "http://www.&lfs-domainname;/hints">
 <!ENTITY patch-downloads      "http://www.linuxfromscratch.org/patches/downloads">
-<!ENTITY patch-root           "http://www.&lfs-domainname;/patches/blfs/svn">
+<!ENTITY patch-root           "http://www.&lfs-domainname;/patches/blfs/8.1">
 <!ENTITY errata               "http://www.&lfs-domainname;/blfs/errata/&blfs-version;/">
 <!ENTITY blfs-ticket-root     "http://wiki.&lfs-domainname;/blfs/ticket/">
@@ -86,9 +86,4 @@
 <!-- These entities are used to annotate the current status of a package as it
      relates to the version of LFS it will build/work against -->
-
-<!ENTITY lfs80_checked        "<para>This package is known to build and work
-                              properly using an LFS-8.0 platform.</para>">
-<!ENTITY lfs80_built          "<para>This package is known to build using an LFS
-                              8.0 platform but has not been tested.</para>">
 
 <!ENTITY lfs81_checked        "<para>This package is known to build and work
Index: general/genlib/libtasn1.xml
===================================================================
--- general/genlib/libtasn1.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ general/genlib/libtasn1.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -124,5 +124,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
+      href="../../xincludes/gtk-doc-rebuild-problem.xml"/>
 
   </sect2>
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ general/graphlib/librsvg.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -106,5 +106,7 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr    \
+<screen><userinput>sed -i 's/ --nogtkinit//' doc/Makefile.in &amp;&amp;
+
+./configure --prefix=/usr    \
             --enable-vala    \
             --disable-static &amp;&amp;
@@ -124,4 +126,10 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para>
+      <command>sed ... doc/Makefile.in</command>: This change removes
+      a switch that prevents building the API documentation (if
+      requested).
+    </para>
 
     <para>
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ gnome/platform/evolution-data-server.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -138,4 +138,5 @@
       -DWITH_KRB5=OFF               \
       -DENABLE_INTROSPECTION=ON     \
+      -DENABLE_GTK_DOC=OFF          \
       .. &amp;&amp;
 make</userinput></screen>
@@ -175,4 +176,11 @@
       enables building the Vala bindings. Remove if you don't
       have <xref linkend="vala"/> installed.
+    </para>
+
+    <para>
+      <parameter>-DENABLE_GTK_DOC=OFF</parameter>: This switch
+      disables building the API documentation. It is broken for
+      this package due to the use of a long deprecated gtk-doc program
+      that is no longer available.
     </para>
 
Index: gnome/platform/telepathy-logger.xml
===================================================================
--- gnome/platform/telepathy-logger.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ gnome/platform/telepathy-logger.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -134,5 +134,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
+      href="../../xincludes/gtk-doc-rebuild-problem.xml"/>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ introduction/welcome/changelog.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -46,4 +46,12 @@
       <para>September 1st, 2017</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Release of BLFS-8.0.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update several packages noting problems
+          using a long deprecated, now removed, gtkdoc program. Fixes
+          <ulink url="&blfs-ticket-root;9660">#9660</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to SDDM-0.15.0. Fixes
Index: x/installing/x7driver-intel.xml
===================================================================
--- x/installing/x7driver-intel.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ x/installing/x7driver-intel.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -42,6 +42,6 @@
       <para>
         The <application>Xorg Intel Driver</application> package contains the X.Org
-        Video Driver for Intel integrated video cards including 8xx, 9xx, Gxx, Qxx
-        and HD graphics processors (SandyBridge, IvyBridge and Haswell).
+        Video Driver for Intel integrated video chips including 8xx, 9xx, Gxx, Qxx,
+        HD, Iris, and Iris Pro graphics processors.
       </para>
 
Index: x/lib/libxklavier.xml
===================================================================
--- x/lib/libxklavier.xml	(revision 44daa29093c319fe01d721c2133f2b58c2bbda6a)
+++ x/lib/libxklavier.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -127,5 +127,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
+      href="../../xincludes/gtk-doc-rebuild-problem.xml"/>
 
   </sect2>
Index: xincludes/gtk-doc-rebuild-problem.xml
===================================================================
--- xincludes/gtk-doc-rebuild-problem.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
+++ xincludes/gtk-doc-rebuild-problem.xml	(revision 843695a0071e1d9a73b7c627c72d66f1fa7c5fcb)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" >
+
+    <!-- $LastChangedBy$
+         $Date$ -->
+
+    <para><option>--enable-gtk-doc</option>: This parameter is normally
+    used if <application>GTK-Doc</application> is installed and you wish 
+    to rebuild and install the API documentation. It is broken for
+    this package due to the use of a long deprecated gtk-doc program
+    that is no longer available.</para>