Index: gnome/add/at-spi.xml
===================================================================
--- gnome/add/at-spi.xml	(revision efaa23695173a6480cce947a9dd3f6962e77b4ba)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect1 id="at-spi" xreflabel="AT SPI-&at-spi-version;">
-<?dbhtml filename="at-spi.html" dir="gnome"?>
-<title>AT SPI-&at-spi-version;</title>
-
-&at-spi-intro;
-&at-spi-inst;
-&at-spi-exp;
-&at-spi-desc;
-
-</sect1>
-
Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision efaa23695173a6480cce947a9dd3f6962e77b4ba)
+++ gnome/gnome.ent	(revision 849473bc6ab63329974173a0e234a5817366625d)
@@ -33,4 +33,5 @@
 <!ENTITY % librsvg SYSTEM "lib/librsvg/librsvg.ent">
 <!ENTITY % gail SYSTEM "lib/gail/gail.ent">
+<!ENTITY % at-spi SYSTEM "lib/at-spi/at-spi.ent">
 <!ENTITY % eel SYSTEM "lib/eel/eel.ent">
 <!ENTITY % libgtkhtml SYSTEM "lib/libgtkhtml/libgtkhtml.ent">
@@ -72,4 +73,5 @@
 %librsvg;
 %gail;
+%at-spi;
 %eel;
 %libgtkhtml;
@@ -109,5 +111,4 @@
 <!ENTITY % gnome-media SYSTEM "add/media/gnome-media.ent">
 <!ENTITY % gnome2-user-docs SYSTEM "add/docs/gnome2-user-docs.ent">
-<!ENTITY % at-spi SYSTEM "add/gail/at-spi.ent">
 <!ENTITY % libgail-gnome SYSTEM "add/gail/libgail-gnome.ent">
 <!ENTITY % gstreamer SYSTEM "add/media/gstreamer.ent">
@@ -126,5 +127,4 @@
 %gnome-media;
 %nautilus-media;
-%at-spi;
 %libgail-gnome;
 %gstreamer;
Index: gnome/lib/at-spi.xml
===================================================================
--- gnome/lib/at-spi.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
+++ gnome/lib/at-spi.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
@@ -0,0 +1,11 @@
+<sect1 id="at-spi" xreflabel="AT SPI-&at-spi-version;">
+<?dbhtml filename="at-spi.html" dir="gnome"?>
+<title>AT SPI-&at-spi-version;</title>
+
+&at-spi-intro;
+&at-spi-inst;
+&at-spi-exp;
+&at-spi-desc;
+
+</sect1>
+
Index: gnome/lib/at-spi/at-spi-desc.xml
===================================================================
--- gnome/lib/at-spi/at-spi-desc.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
+++ gnome/lib/at-spi/at-spi-desc.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
@@ -0,0 +1,24 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>AT</acronym> <acronym>SPI</acronym></application> package contains <filename
+class="libraryfile">libcspi</filename>
+libraries, <filename class="libraryfile">libspi</filename> libraries and
+<command>at-spi-registryd</command></para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>libcspi libraries</title>
+<para>No description available.</para></sect3>
+
+<sect3><title>libspi libraries</title>
+<para>No description available.</para></sect3>
+
+<sect3><title>at-spi-registryd</title>
+<para><command>at-spi-registryd</command> is the registry daemon that allows communication
+between the <acronym>UI</acronym> and assistance devices.</para></sect3>
+
+</sect2>
+
Index: gnome/lib/at-spi/at-spi-exp.xml
===================================================================
--- gnome/lib/at-spi/at-spi-exp.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
+++ gnome/lib/at-spi/at-spi-exp.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--libexecdir=$GNOME_PREFIX/sbin</parameter>: This
+switch puts libexec files in <filename class="directory">$GNOME_PREFIX/sbin</filename>
+instead of <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+
+<para><option>--disable-gtk-doc</option>: This switch prevent the
+rebuilding of the documentation during the <command>make</command> command.</para>
+
+</sect2>
+
Index: gnome/lib/at-spi/at-spi-inst.xml
===================================================================
--- gnome/lib/at-spi/at-spi-inst.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
+++ gnome/lib/at-spi/at-spi-inst.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Installation of <application><acronym>AT</acronym> <acronym>SPI</acronym></application></title>
+
+<para>Install <application><acronym>AT</acronym> <acronym>SPI</acronym></application> by running the following commands:</para>
+
+<screen><userinput><command>patch -Np1 -i ../at-spi-1.1.9-lspi.patch &amp;&amp;
+./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
+--disable-gtk-doc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
Index: gnome/lib/at-spi/at-spi-intro.xml
===================================================================
--- gnome/lib/at-spi/at-spi-intro.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
+++ gnome/lib/at-spi/at-spi-intro.xml	(revision 849473bc6ab63329974173a0e234a5817366625d)
@@ -0,0 +1,35 @@
+<sect2>
+<title>Introduction to <application><acronym>AT</acronym>
+<acronym>SPI</acronym></application></title>
+
+<para>The <application><acronym>AT</acronym> <acronym>SPI</acronym></application> package contains Assistive Technology Service Provider
+Interface. This is useful for redirecting <acronym>UI</acronym> events to accessible
+applications and adaptive/assistive technologies.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&at-spi-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&at-spi-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &at-spi-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&at-spi-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&at-spi-time;</para></listitem></itemizedlist>
+</sect3>
+<sect3><title>Additional Downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required patch: <ulink
+url="&patch-root;/at-spi-1.1.9-lspi.patch"/></para></listitem>
+</itemizedlist></sect3>
+
+<sect3><title><application><acronym>AT</acronym> <acronym>SPI</acronym></application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="gail"/> and <xref linkend="libbonobo"/></para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></para></sect4>
+</sect3>
+
+
+</sect2>
Index: gnome/lib/at-spi/at-spi.ent
===================================================================
--- gnome/lib/at-spi/at-spi.ent	(revision 849473bc6ab63329974173a0e234a5817366625d)
+++ gnome/lib/at-spi/at-spi.ent	(revision 849473bc6ab63329974173a0e234a5817366625d)
@@ -0,0 +1,11 @@
+<!ENTITY at-spi SYSTEM "../at-spi.xml">
+<!ENTITY at-spi-intro SYSTEM "at-spi-intro.xml">
+<!ENTITY at-spi-inst SYSTEM "at-spi-inst.xml">
+<!ENTITY at-spi-exp SYSTEM "at-spi-exp.xml">
+<!ENTITY at-spi-desc SYSTEM "at-spi-desc.xml">
+<!ENTITY at-spi-version "1.1.9">
+<!ENTITY at-spi-download-http "http://ftp.gnome.org/pub/GNOME/sources/at-spi/1.1/at-spi-&at-spi-version;.tar.bz2">
+<!ENTITY at-spi-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/at-spi/1.1/at-spi-&at-spi-version;.tar.bz2">
+<!ENTITY at-spi-size "360 KB">
+<!ENTITY at-spi-buildsize "24 MB">
+<!ENTITY at-spi-time "0.68 SBU">