Index: x/installing/libinput.xml
===================================================================
--- x/installing/libinput.xml	(revision a44f951fe4b391ec0692f6c235bfb05eb3edef8b)
+++ x/installing/libinput.xml	(revision 850837c523c66a377816876217808f0f41b6f64d)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY libinput-version "1.1.3">
+  <!ENTITY libinput-version "1.1.4">
 
   <!ENTITY libinput-download-http "http://www.freedesktop.org/software/libinput/libinput-&libinput-version;.tar.xz">
   <!ENTITY libinput-download-ftp  " ">
-  <!ENTITY libinput-md5sum        "3bca9bd8fb2853216352b347dd247726">
-  <!ENTITY libinput-size          "800 KB">
+  <!ENTITY libinput-md5sum        "0945318141c1a9f52857bbf65d175f32">
+  <!ENTITY libinput-size          "804 KB">
   <!ENTITY libinput-buildsize     "31 MB">
   <!ENTITY libinput-time          "0.2 SBU">
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision a44f951fe4b391ec0692f6c235bfb05eb3edef8b)
+++ x/installing/mesa.xml	(revision 850837c523c66a377816876217808f0f41b6f64d)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http " ">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/&mesa-version;/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "5bb515d4b0931b7a9e1bfec3da73f10f">
+  <!ENTITY mesa-md5sum        "83638efaa55d00075752fce57f91bf2d">
   <!ENTITY mesa-size          "7 MB">
   <!ENTITY mesa-buildsize     "306 MB (with tests and docs)">
-  <!ENTITY mesa-time          "9.2 SBU (with tests and docs)">
+  <!ENTITY mesa-time          "2.7 SBU (with tests and docs - all with parallelism = 4)">
 ]>
 
Index: x/installing/x7driver-nouveau.xml
===================================================================
--- x/installing/x7driver-nouveau.xml	(revision a44f951fe4b391ec0692f6c235bfb05eb3edef8b)
+++ x/installing/x7driver-nouveau.xml	(revision 850837c523c66a377816876217808f0f41b6f64d)
@@ -5,14 +5,14 @@
   %general-entities;
 
-  <!--<!ENTITY xorg-nouveau-driver-version "1.0.11">-->
-  <!ENTITY xorg-nouveau-driver-version "1ff13a92">
-
-  <!--<!ENTITY xorg-nouveau-driver-download-http "&xorg-download-http;/driver/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.bz2">
-  <!ENTITY xorg-nouveau-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.bz2">-->
-  <!ENTITY xorg-nouveau-driver-download-http "&sources-anduin-http;/xf86-video-nouveau/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.xz">
-  <!ENTITY xorg-nouveau-driver-download-ftp  "&sources-anduin-ftp;/xf86-video-nouveau/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.xz">
-  <!ENTITY xorg-nouveau-driver-md5sum        "5d6441918f7525e6565ccb708cf1703c">
-  <!ENTITY xorg-nouveau-driver-size          "5.0 MB">
-  <!ENTITY xorg-nouveau-driver-buildsize     "20 MB">
+  <!ENTITY xorg-nouveau-driver-version "1.0.12">
+  <!--<!ENTITY xorg-nouveau-driver-version "1ff13a92">-->
+
+  <!ENTITY xorg-nouveau-driver-download-http "&xorg-download-http;/driver/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.bz2">
+  <!ENTITY xorg-nouveau-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.bz2">
+  <!--<!ENTITY xorg-nouveau-driver-download-http "&sources-anduin-http;/xf86-video-nouveau/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.xz">
+  <!ENTITY xorg-nouveau-driver-download-ftp  "&sources-anduin-ftp;/xf86-video-nouveau/xf86-video-nouveau-&xorg-nouveau-driver-version;.tar.xz">-->
+  <!ENTITY xorg-nouveau-driver-md5sum        "dc79910c7b9e32321cefc7af250c7765">
+  <!ENTITY xorg-nouveau-driver-size          "588 KB">
+  <!ENTITY xorg-nouveau-driver-buildsize     "14 MB">
   <!ENTITY xorg-nouveau-driver-time          "0.1 SBU">
 ]>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision a44f951fe4b391ec0692f6c235bfb05eb3edef8b)
+++ x/installing/x7lib.xml	(revision 850837c523c66a377816876217808f0f41b6f64d)
@@ -68,6 +68,6 @@
   <!ENTITY libXft-md5sum                   "331b3a2a3a1a78b5b44cfbd43f86fcfe">
 
-  <!ENTITY libXi-version                   "1.7.5">
-  <!ENTITY libXi-md5sum                    "9f02462855c598a0cd0ddfd98c6e25f5">
+  <!ENTITY libXi-version                   "1.7.6">
+  <!ENTITY libXi-md5sum                    "510e555ecfffa8d2298a0f42b725e563">
 
   <!ENTITY libXinerama-version             "1.1.3">