Index: general.ent
===================================================================
--- general.ent	(revision a750d96fa3555d566e89428bbd29bc2f4ce31e4a)
+++ general.ent	(revision 852298f70d33a50991f6de0d109aad97e8a2f18c)
@@ -397,5 +397,5 @@
 <!ENTITY AbiWord-version              "2.2.0">
 <!ENTITY gnumeric-version             "1.4.1"> 
-<!ENTITY gnucash-version              "1.8.9"> 
+<!ENTITY gnucash-version              "1.8.10"> 
 <!ENTITY gimp-version                 "2.0.6"> 
 <!ENTITY evolution-version            "2.0.2">  
Index: gnome/otherlibs/guppi.xml
===================================================================
--- gnome/otherlibs/guppi.xml	(revision a750d96fa3555d566e89428bbd29bc2f4ce31e4a)
+++ gnome/otherlibs/guppi.xml	(revision 852298f70d33a50991f6de0d109aad97e8a2f18c)
@@ -44,7 +44,10 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Required Patch (if compiled with
-<application><acronym>GCC</acronym></application>-3.4.x): <ulink
+<listitem><para>Required Patch (if compiled with 
+<application><acronym>GCC</acronym></application>-3.4.x): <ulink 
 url="&patch-root;/Guppi-&guppi-version;-gcc34-1.patch"/></para></listitem>
+
+<listitem><para>Required Patch <ulink 
+url="&patch-root;/Guppi-&guppi-version;-legend_fix-1.patch"/></para></listitem>
 </itemizedlist>
 </sect3>
@@ -71,4 +74,5 @@
 
 <screen><userinput><command>patch -Np1 -i ../Guppi-&guppi-version;-gcc34-1.patch &amp;&amp;
+patch -Np1 -i ../Guppi-&guppi-version;-legend_fix-1.patch &amp;&amp;
 ./configure --prefix=/opt/gnome &amp;&amp;
 make &amp;&amp;
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a750d96fa3555d566e89428bbd29bc2f4ce31e4a)
+++ introduction/welcome/changelog.xml	(revision 852298f70d33a50991f6de0d109aad97e8a2f18c)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>January 3rd, 2004 [randy]: Updated to GnuCash-1.8.10;
+added a patch to the Guppi instructions.</para></listitem>
 
 <listitem><para>January 3rd, 2004 [larry]: Updated to DocBook-xsl-1.67.2
Index: xsoft/office/gnucash.xml
===================================================================
--- xsoft/office/gnucash.xml	(revision a750d96fa3555d566e89428bbd29bc2f4ce31e4a)
+++ xsoft/office/gnucash.xml	(revision 852298f70d33a50991f6de0d109aad97e8a2f18c)
@@ -7,7 +7,9 @@
   <!ENTITY gnucash-download-http "http://www.gnucash.org/pub/gnucash/sources/stable/gnucash-&gnucash-version;.tar.gz">
   <!ENTITY gnucash-download-ftp  "ftp://ftp.at.gnucash.org/pub/gnucash/gnucash/sources/stable/gnucash-&gnucash-version;.tar.gz">
-  <!ENTITY gnucash-size          "7.8 MB">
-  <!ENTITY gnucash-buildsize     "102 MB">
-  <!ENTITY gnucash-time          "2.36 SBU">
+  <!ENTITY gnucash-size          "7.7 MB">
+  <!ENTITY gnucash-buildsize     "108 MB (additional 24 MB for Help documentation)">
+  <!ENTITY gnucash-time          "2.95 SBU">
+  <!ENTITY gnucash-docs-version  "1.8.5">
+  <!ENTITY gnucash-docs-download "http://www.gnucash.org/pub/gnucash/sources/stable/gnucash-docs-&gnucash-docs-version;.tar.gz">
 ]>
 
@@ -32,5 +34,5 @@
 url="&gnucash-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &gnucash-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &gnucash-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
@@ -38,23 +40,44 @@
 </sect3>
 
+<sect3><title>Additional download</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Help documentation: 
+<ulink url="&gnucash-docs-download;"/></para></listitem>
+</itemizedlist>
+</sect3>
+
 <sect3><title><application>GnuCash</application> dependencies</title>
-
 <sect4><title>Required</title>
-<para><xref linkend="db"/>, 
+<para><xref linkend="oaf"/>, 
 <xref linkend="gal1"/>, 
 <xref linkend="gtkhtml1"/>, 
-<xref linkend="libghttp"/>, 
-<xref linkend="guppi"/> and 
+<xref linkend="libghttp"/> and 
 <xref linkend="gwrap"/></para>
 </sect4>
 
 <sect4><title>Optional</title>
-<para><ulink url="http://www.graphviz.org/">GraphViz</ulink>, 
+<para><xref linkend="postgresql"/>, 
+<xref linkend="guppi"/>, 
+<xref linkend="scrollkeeper"/>, 
+<ulink url="ftp://ftp.gnu.org/pub/gnu/guile/">Guile-www</ulink>, 
+<xref linkend="perl-modules"/>: 
+(LWP, HTML-Parser, DateManip and Finance-Quote), 
+<ulink url="http://www.graphviz.org/">GraphViz</ulink>, 
 <xref linkend="doxygen"/>, 
-<ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink>, 
-<ulink url="http://openhbci.sourceforge.net/">OpenHBCI</ulink> and 
-<ulink url="http://libofx.sourceforge.net/">LibOFX</ulink></para>
+<ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink></para>
 </sect4>
 
+<sect4><title>Optional (for on-line banking)</title>
+<para><ulink url="http://libofx.sourceforge.net/">LibOFX</ulink>, 
+<ulink url="http://sourceforge.net/projects/ktoblzcheck">KtoBlzCheck</ulink>, 
+<ulink url="http://sourceforge.net/projects/aqhbci">AqHBCI</ulink> 
+(requires 
+<ulink url="http://sourceforge.net/projects/gwenhywfar">Gwenhywfar</ulink> 
+then 
+<ulink url="http://sourceforge.net/projects/aqbanking">AqBanking</ulink>), 
+and also see 
+<ulink url="http://sourceforge.net/projects/libchipcard">libchipcard</ulink>
+</para>
+</sect4>
 </sect3>
 
@@ -67,8 +90,25 @@
 commands:</para>
 
-<screen><userinput><command>./configure --prefix=/opt/gnome &amp;&amp;
+<screen><userinput><command>./configure --prefix=/opt/gnome \
+    --sysconfdir=/etc --disable-guppi \
+    --disable-error-on-warning &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
 chown -R root:root /opt/gnome/share/gnucash/doc/html/html</command></userinput></screen>
+
+<para><emphasis>Note:</emphasis> If you run <command>make check</command> 
+before installing the package, you may need to do it as the root user so that 
+the <application>Slib</application> catalog in 
+<filename class='directory'>/usr/share/guile</filename> can be updated.</para>
+
+<para>If you want to install the Help documentation, and you have 
+<xref linkend="scrollkeeper"/> installed, unpack the additional tarball, 
+change into the <application>GnuCash Docs</application> source directory and 
+issue the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/opt/gnome \
+    --localstatedir=/var/lib &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
 
 </sect2>
@@ -78,11 +118,33 @@
 
 <para><parameter>--prefix=/opt/gnome</parameter>: 
-<application>GnuCash</application>-&gnucash-version; is a
-<application><acronym>GNOME</acronym></application> 1.4 application.
-</para>
+<application>GnuCash</application>-&gnucash-version; is a 
+<application><acronym>GNOME</acronym></application> 1.4 application.</para>
+
+<para><parameter>--sysconfdir=/etc</parameter>: This installs configuration 
+files in <filename class='directory'>/etc/gnucash</filename> instead of 
+<filename class='directory'>/opt/gnome/etc/gnucash</filename>.</para>
+
+<para><option>--disable-guppi</option>: This compiles 
+<application>GnuCash</application> without support for creating 
+<acronym>GUI</acronym> graphs and plots. Remove this option if you have 
+<application>Guppi</application> installed.</para>
+
+<para><option>--disable-error-on-warning</option>: The build will fail if 
+you used <option>--enable-hbci</option>, as a warning is generated. This 
+option forces the build to ignore the warning.</para>
+
+<para><option>--enable-ofx</option>: This parameter is required if you want 
+to build in on-line banking support using 
+<application>LibOFX</application>.</para>
+
+<para><option>--enable-hbci</option>: This parameter is required if you want 
+to build in on-line banking support using 
+<application>AqBanking</application>/<application>AqHBCI</application>. See 
+<filename>doc/README.HBCI</filename> in the 
+<application>GnuCash</application> source tree for complete information.</para>
 
 <para><command>chown -R root:root /opt/gnome/share/gnucash/doc/html/html</command>: 
-If the package documentation is built by any user other than root, the 
-ownership of the installed files are set incorrectly. This command changes the 
+If the package is built by any user other than root, the ownership of the 
+installed documentation files are set incorrectly. This command changes the 
 ownership to root:root.</para>
 </sect2>
@@ -97,6 +159,6 @@
 <application>X</application> terminal and clicking on the cancel button is 
 sufficient. This must be done prior to setting up accounts as an unprivileged 
-user, due to the fact that <application>GnuCash</application> must create 
-scheme catalogs for itself before it is used.</para></note>
+user, due to the fact that <application>GnuCash</application> must update 
+scheme catalogs before it is used.</para></note>
 
 </sect3>