Index: gnome/add/applets/gnome-applets-inst.xml
===================================================================
--- gnome/add/applets/gnome-applets-inst.xml	(revision ee548affd8e53f656bbc9aa8c1744c764ecbf34e)
+++ gnome/add/applets/gnome-applets-inst.xml	(revision 862886a5ce5ba6c0c78eaf28110171a56c9e9f10)
@@ -5,6 +5,5 @@
 
 <screen><userinput><command>PRE=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
-./configure --prefix=$PRE \
-    --libexecdir=$PRE/sbin \
+./configure --prefix=$PRE --libexecdir=$PRE/sbin \
     --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
 make tooldir=$PRE/lib/gnome-applets &amp;&amp;
@@ -13,3 +12,2 @@
 
 </sect2>
-
Index: gnome/add/applets/gnome-applets-intro.xml
===================================================================
--- gnome/add/applets/gnome-applets-intro.xml	(revision ee548affd8e53f656bbc9aa8c1744c764ecbf34e)
+++ gnome/add/applets/gnome-applets-intro.xml	(revision 862886a5ce5ba6c0c78eaf28110171a56c9e9f10)
@@ -22,6 +22,6 @@
 <sect4><title>Required</title>
 <para>
-<xref linkend="gail"/>
-<xref linkend="gnome-panel"/>
+<xref linkend="gail"/>,
+<xref linkend="gnome-panel"/> and
 <xref linkend="libxklavier"/>
 </para></sect4>
Index: gnome/add/gstreamer/gstreamer-exp.xml
===================================================================
--- gnome/add/gstreamer/gstreamer-exp.xml	(revision ee548affd8e53f656bbc9aa8c1744c764ecbf34e)
+++ gnome/add/gstreamer/gstreamer-exp.xml	(revision 862886a5ce5ba6c0c78eaf28110171a56c9e9f10)
@@ -12,9 +12,7 @@
 <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
-<para><option>--disable-gtk-doc</option>: This switch prevents
+<para><option>--disable-docs-build</option>: This switch prevents
 the rebuilding of documentation during the <command>make</command>
 command.</para>
 
-
 </sect2>
-
Index: gnome/add/gstreamer/gstreamer-inst.xml
===================================================================
--- gnome/add/gstreamer/gstreamer-inst.xml	(revision ee548affd8e53f656bbc9aa8c1744c764ecbf34e)
+++ gnome/add/gstreamer/gstreamer-inst.xml	(revision 862886a5ce5ba6c0c78eaf28110171a56c9e9f10)
@@ -5,5 +5,6 @@
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-    --localstatedir=/var/lib --sysconfdir=/etc/gnome --disable-gtk-doc  &amp;&amp;
+    --localstatedir=/var/lib --sysconfdir=/etc/gnome \
+    --disable-docs-build &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
Index: gnome/add/gstreamer/gstreamer-intro.xml
===================================================================
--- gnome/add/gstreamer/gstreamer-intro.xml	(revision ee548affd8e53f656bbc9aa8c1744c764ecbf34e)
+++ gnome/add/gstreamer/gstreamer-intro.xml	(revision 862886a5ce5ba6c0c78eaf28110171a56c9e9f10)
@@ -20,10 +20,20 @@
 <sect3><title><application>GStreamer</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="libgnomeui"/></para></sect4>
+<para>
+<xref linkend="libgnomeui"/>
+</para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/> and <xref
-linkend="DocBook"/></para></sect4>
+<para>
+<xref linkend="Python"/>,
+<xref linkend="gtk-doc"/>,
+<xref linkend="pst-typesetting-tex"/>,
+<xref linkend="gs"/> or
+<xref linkend="espgs"/>,
+<ulink url="http://sources.redhat.com/docbook-tools/">docbook-utils</ulink>,
+<ulink url="http://epb.lbl.gov/xfig/">TransFig</ulink>,
+<ulink url="http://netpbm.sourceforge.net/">Netpbm</ulink> and
+<ulink url="http://valgrind.kde.org/">Valgrind</ulink>
+</para></sect4>
 </sect3>
 
-
 </sect2>
Index: gnome/add/gstreamer/gstreamer.ent
===================================================================
--- gnome/add/gstreamer/gstreamer.ent	(revision ee548affd8e53f656bbc9aa8c1744c764ecbf34e)
+++ gnome/add/gstreamer/gstreamer.ent	(revision 862886a5ce5ba6c0c78eaf28110171a56c9e9f10)
@@ -4,8 +4,8 @@
 <!ENTITY gstreamer-exp SYSTEM "gstreamer-exp.xml">
 <!ENTITY gstreamer-desc SYSTEM "gstreamer-desc.xml">
-<!ENTITY gstreamer-version "0.8.0">
+<!ENTITY gstreamer-version "0.8.1">
 <!ENTITY gstreamer-download-http "http://ftp.gnome.org/pub/GNOME/sources/gstreamer/0.8/gstreamer-&gstreamer-version;.tar.bz2">
-<!ENTITY gstreamer-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gstreamer/0.6/gstreamer-&gstreamer-version;.tar.bz2">
-<!ENTITY gstreamer-size "1.6 MB">
-<!ENTITY gstreamer-buildsize "83.0 MB">
+<!ENTITY gstreamer-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gstreamer/0.8/gstreamer-&gstreamer-version;.tar.bz2">
+<!ENTITY gstreamer-size "1.2 MB">
+<!ENTITY gstreamer-buildsize "86 MB">
 <!ENTITY gstreamer-time "1.31 SBU">