Index: gnome/platform/geocode-glib.xml
===================================================================
--- gnome/platform/geocode-glib.xml	(revision 2e6472e6cee052063c2ec1723dc210fa1f9d942b)
+++ gnome/platform/geocode-glib.xml	(revision 876948df6cfc4f58797c41a9e53ce4416df82438)
@@ -9,7 +9,7 @@
   <!ENTITY geocode-glib-download-ftp
            "&gnome-download-ftp;/geocode-glib/&gnome-minor-26;/geocode-glib-&geocode-glib-version;.tar.xz">
-  <!ENTITY geocode-glib-md5sum        "21094494e66c86368add6a55bf480049">
-  <!ENTITY geocode-glib-size          "76 KB">
-  <!ENTITY geocode-glib-buildsize     "4.8 MB (with tests)">
+  <!ENTITY geocode-glib-md5sum        "2e1ef140a11a543643d170dc701009e39">
+  <!ENTITY geocode-glib-size          "72 KB">
+  <!ENTITY geocode-glib-buildsize     "5.1 MB (with tests)">
   <!ENTITY geocode-glib-time          "0.1 SBU (with tests)">
 ]>
@@ -155,5 +155,5 @@
           /usr/libexec/installed-tests/geocode-glib,
           /usr/share/icons/gnome/scalable/places, and
-          /usr/share/gtk-doc/html/geocode-glib-1.0
+          /usr/share/gtk-doc/html/geocode-glib
         </seg>
       </seglistitem>
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision 2e6472e6cee052063c2ec1723dc210fa1f9d942b)
+++ gnome/platform/gjs.xml	(revision 876948df6cfc4f58797c41a9e53ce4416df82438)
@@ -119,4 +119,5 @@
       tests will fail if not running in an Xorg session. One test,
       <filename>gjs: Scripts/CommandLine</filename>, is known to fail.
+      On some systems, up to four tests may fail with an error.
       <!-- Still fails with 1.58.5. -->
     </para>
Index: gnome/platform/gnome-menus.xml
===================================================================
--- gnome/platform/gnome-menus.xml	(revision 2e6472e6cee052063c2ec1723dc210fa1f9d942b)
+++ gnome/platform/gnome-menus.xml	(revision 876948df6cfc4f58797c41a9e53ce4416df82438)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-menus-download-http
-           "&gnome-download-http;/gnome-menus/3.35/gnome-menus-&gnome-menus-version;.tar.xz">
+           "&gnome-download-http;/gnome-menus/&gnome-minor-36;/gnome-menus-&gnome-menus-version;.tar.xz">
   <!ENTITY gnome-menus-download-ftp
-           "&gnome-download-ftp;/gnome-menus/3.35/gnome-menus-&gnome-menus-version;.tar.xz">
-  <!ENTITY gnome-menus-md5sum        "343410b0d56532b430de779dd41e0a72">
+           "&gnome-download-ftp;/gnome-menus/&gnome-minor-36;/gnome-menus-&gnome-menus-version;.tar.xz">
+  <!ENTITY gnome-menus-md5sum        "a8fd71fcf31a87fc799d80396a526829">
   <!ENTITY gnome-menus-size          "492 KB">
-  <!ENTITY gnome-menus-buildsize     "6.3 MB">
+  <!ENTITY gnome-menus-buildsize     "8.5 MB">
   <!ENTITY gnome-menus-time          "less than 0.1 SBU">
 ]>
@@ -97,4 +97,6 @@
     <title>Installation of GNOME Menus</title>
 
+    <!-- It's been three minor versions of GNOME since this was put in.
+         Let's comment it out for now.
     <note>
       <para>
@@ -107,4 +109,5 @@
 
 <screen role="nodump"><userinput>gsettings reset-recursively org.gnome.desktop.app-folders</userinput></screen></note>
+    -->
 
     <para>
@@ -166,6 +169,6 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="libgnome-menu">
-        <term><filename class="libraryfile">libgnome-menu.so</filename></term>
+      <varlistentry id="libgnome-menu-3">
+        <term><filename class="libraryfile">libgnome-menu-3.so</filename></term>
         <listitem>
           <para>
@@ -174,6 +177,6 @@
             Desktop Menu Specification.
           </para>
-          <indexterm zone="gnome-menus libgnome-menu">
-            <primary sortas="c-libgnome-menu">libgnome-menu.so</primary>
+          <indexterm zone="gnome-menus libgnome-menu-3">
+            <primary sortas="c-libgnome-menu-3">libgnome-menu-3.so</primary>
           </indexterm>
         </listitem>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision 2e6472e6cee052063c2ec1723dc210fa1f9d942b)
+++ gnome/platform/vte.xml	(revision 876948df6cfc4f58797c41a9e53ce4416df82438)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.58/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.58/vte-&vte-version;.tar.xz">
+  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.60/vte-&vte-version;.tar.xz">
+  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.60/vte-&vte-version;.tar.xz">
   <!ENTITY vte-md5sum        "f59eb0784a361c0939c03d4566255916">
-  <!ENTITY vte-size          "504 KB">
-  <!ENTITY vte-buildsize     "11 MB (with tests)">
+  <!ENTITY vte-size          "524 KB">
+  <!ENTITY vte-buildsize     "12 MB (with tests)">
   <!ENTITY vte-time          "0.5 SBU (using parallelism=4; with tests)">
   <!-- Consolidating Tests/No Tests in GNOME sections for consistency. -->
@@ -173,5 +173,7 @@
 <!-- EDITORS NOTE:
      vte installs a file into /etc/profile.d (/etc/profile.d/vte.sh) so that
-     the environment is suitable for running with it's quirks.
+     the environment is suitable for running with it's quirks. Another one
+     is now installed as of 0.60.1 (/etc/profile.d/vte.csh) to support
+     the 'tcsh' shell.
 -->
       <seglistitem>
Index: gnome/platform/yelp-xsl.xml
===================================================================
--- gnome/platform/yelp-xsl.xml	(revision 2e6472e6cee052063c2ec1723dc210fa1f9d942b)
+++ gnome/platform/yelp-xsl.xml	(revision 876948df6cfc4f58797c41a9e53ce4416df82438)
@@ -7,5 +7,5 @@
   <!ENTITY yelp-xsl-download-http "&gnome-download-http;/yelp-xsl/&gnome-minor-34;/yelp-xsl-&yelp-xsl-version;.tar.xz">
   <!ENTITY yelp-xsl-download-ftp  "&gnome-download-ftp;/yelp-xsl/&gnome-minor-34;/yelp-xsl-&yelp-xsl-version;.tar.xz">
-  <!ENTITY yelp-xsl-md5sum        "b9c1c53a9114b42054789f212ab37f59">
+  <!ENTITY yelp-xsl-md5sum        "7d71af68fff4a92bcb2b8989f126be6c">
   <!ENTITY yelp-xsl-size          "628 KB">
   <!ENTITY yelp-xsl-buildsize     "9.9 MB">