Index: archive/setuptools-again.xml
===================================================================
--- archive/setuptools-again.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
+++ archive/setuptools-again.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -0,0 +1,143 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+<!-- I don't like the way this URL is structured. -renodr -->
+<!--  wget https://pypi.python.org/pypi/setuptools to find path for latest version -->
+  <!ENTITY setuptools-download-http
+           "https://pypi.python.org/packages/f1/92/12c7251039b274c30106c3e0babdcb040cbd13c3ad4b3f0ef9a7c217e36a/setuptools-&setuptools-version;.tar.gz">
+  <!ENTITY setuptools-download-ftp  " ">
+  <!ENTITY setuptools-md5sum        "7f2ba59682bc8c6ae6f1f927aca1a351">
+  <!ENTITY setuptools-size          "636 KB">
+  <!ENTITY setuptools-buildsize     "12 MB">
+  <!ENTITY setuptools-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin Setuptools -->
+  <sect2 id="setuptools" xreflabel="Setuptools-&setuptools-version;" revision="systemd">
+
+    <title>Setuptools-&setuptools-version;</title>
+
+    <indexterm zone="setuptools">
+      <primary sortas="a-Setuptools">Setuptools</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Setuptools Module</title>
+
+      <para>
+        <application>Setuptools</application> is a <application>Python</application>
+        module that makes it easier to download, build, install, upgrade, and
+        uninstall <application>Python</application> packages.
+      </para>
+
+      &lfs7a_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&setuptools-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&setuptools-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &setuptools-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &setuptools-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &setuptools-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &setuptools-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Setuptools Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="python2"/> and/or
+        <xref linkend="python3"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/setuptools"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Setuptools</title>
+
+      <note>
+        <para>
+          Both <application>Python 2</application> and
+          <application>Python 3</application> modules can
+          be built and installed without any conflicts.
+        </para>
+      </note>
+
+<!-- Editors note: Use - -root= instead of DESTDIR= when updating. -->
+
+      <para>
+        To install the <application>Python 2</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
+
+      <para>
+        To install the <application>Python 3</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            easy_install, easy_install-&python2-majorver;, and easy_install-&python3-majorver;
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python2-majorver;/site-packages/setuptools,
+            /usr/lib/python&python2-majorver;/site-packages/setuptools-&setuptools-version;-py&python2-majorver;.egg-info and/or
+            /usr/lib/python&python3-majorver;/site-packages/setuptools,
+            /usr/lib/python&python3-majorver;/site-packages/setuptools-&setuptools-version;-py&python3-majorver;.egg-info
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!--End Setuptools -->
Index: general/genlib/yaml.xml
===================================================================
--- general/genlib/yaml.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/genlib/yaml.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/desktop-file-utils.xml
===================================================================
--- general/genutils/desktop-file-utils.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/genutils/desktop-file-utils.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/shared-mime-info.xml
===================================================================
--- general/genutils/shared-mime-info.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/genutils/shared-mime-info.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/beaker.xml
===================================================================
--- general/prog/beaker.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/beaker.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -69,9 +69,10 @@
 
       <bridgehead renderas="sect4">Beaker Dependencies</bridgehead>
-
+<!-- OBSOLETE
       <bridgehead renderas="sect5">Required</bridgehead>
       <para role="required">
         <xref linkend="setuptools"/>
       </para>
+-->
 
       <bridgehead renderas="sect5">Optional</bridgehead>
Index: general/prog/funcsigs.xml
===================================================================
--- general/prog/funcsigs.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/funcsigs.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -69,4 +69,5 @@
       </itemizedlist>
 
+<!-- OBSOLETE
       <bridgehead renderas="sect4">funcsigs Dependencies</bridgehead>
 
@@ -75,4 +76,5 @@
         <xref linkend="setuptools"/>
       </para>
+-->
 
       <para condition="html" role="usernotes">
@@ -96,5 +98,5 @@
       <note>
         <para>
-          This module is include with <application>Python</application>
+          This module is included with <application>Python</application>
           distributions after 3.3.
         </para>
Index: general/prog/jinja2.xml
===================================================================
--- general/prog/jinja2.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/jinja2.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -67,5 +67,5 @@
         </listitem>
       </itemizedlist>
-
+<!-- OBSOLETE
       <bridgehead renderas="sect4">Jinja2 Dependencies</bridgehead>
 
@@ -74,5 +74,5 @@
         <xref linkend="MarkupSafe"/>
       </para>
-
+-->
       <para condition="html" role="usernotes">
         User Notes: <ulink url="&blfs-wiki;/Jinja2"/>
Index: general/prog/lxml.xml
===================================================================
--- general/prog/lxml.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/lxml.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/mako.xml
===================================================================
--- general/prog/mako.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/mako.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/markupsafe.xml
===================================================================
--- general/prog/markupsafe.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/markupsafe.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -67,4 +67,5 @@
       </itemizedlist>
 
+<!-- OBSOLETE
       <bridgehead renderas="sect4">MarkupSafe Dependencies</bridgehead>
 
@@ -73,4 +74,5 @@
         <xref linkend="setuptools"/>
       </para>
+-->
 
       <para condition="html" role="usernotes">
Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/python-modules.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -72,4 +72,5 @@
         </para>
       </listitem>
+<!--
       <listitem revision="systemd">
         <para>
@@ -77,4 +78,5 @@
         </para>
       </listitem>
+-->
       <listitem revision="systemd">
         <para>
@@ -139,6 +141,8 @@
     href="pyxdg.xml"/>
 
+<!--
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="setuptools.xml"/>
+-->
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: general/prog/python2.xml
===================================================================
--- general/prog/python2.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/python2.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -137,4 +137,5 @@
             --with-system-expat \
             --with-system-ffi   \
+            --with-ensurepip=yes \
             --enable-unicode=ucs4 &amp;&amp;
 make</userinput></screen>
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/python3.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -127,5 +127,5 @@
             --with-system-expat \
             --with-system-ffi   \
-            --without-ensurepip &amp;&amp;
+            --with-ensurepip=yes &amp;&amp;
 make</userinput></screen>
 
@@ -190,9 +190,11 @@
     </para>
 
-    <para>
-      <parameter>--without-ensurepip</parameter>: This switch disables building
+<!--
+    <para>
+      <parameter>- -without-ensurepip</parameter>: This switch disables building
       <command>pip</command> and <command>setuptools</command>
       packaging programs.
     </para>
+-->
 
     <para>
Index: general/prog/pyyaml.xml
===================================================================
--- general/prog/pyyaml.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ general/prog/pyyaml.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs7a_checked;
+      &lfs80_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: neral/prog/setuptools.xml
===================================================================
--- general/prog/setuptools.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ 	(revision )
@@ -1,143 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-<!-- I don't like the way this URL is structured. -renodr -->
-<!--  wget https://pypi.python.org/pypi/setuptools to find path for latest version -->
-  <!ENTITY setuptools-download-http
-           "https://pypi.python.org/packages/f1/92/12c7251039b274c30106c3e0babdcb040cbd13c3ad4b3f0ef9a7c217e36a/setuptools-&setuptools-version;.tar.gz">
-  <!ENTITY setuptools-download-ftp  " ">
-  <!ENTITY setuptools-md5sum        "7f2ba59682bc8c6ae6f1f927aca1a351">
-  <!ENTITY setuptools-size          "636 KB">
-  <!ENTITY setuptools-buildsize     "12 MB">
-  <!ENTITY setuptools-time          "less than 0.1 SBU">
-]>
-
-  <!-- Begin Setuptools -->
-  <sect2 id="setuptools" xreflabel="Setuptools-&setuptools-version;" revision="systemd">
-
-    <title>Setuptools-&setuptools-version;</title>
-
-    <indexterm zone="setuptools">
-      <primary sortas="a-Setuptools">Setuptools</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to Setuptools Module</title>
-
-      <para>
-        <application>Setuptools</application> is a <application>Python</application>
-        module that makes it easier to download, build, install, upgrade, and
-        uninstall <application>Python</application> packages.
-      </para>
-
-      &lfs7a_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&setuptools-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&setuptools-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &setuptools-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &setuptools-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &setuptools-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &setuptools-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">Setuptools Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/>
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/setuptools"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of Setuptools</title>
-
-      <note>
-        <para>
-          Both <application>Python 2</application> and
-          <application>Python 3</application> modules can
-          be built and installed without any conflicts.
-        </para>
-      </note>
-
-<!-- Editors note: Use - -root= instead of DESTDIR= when updating. -->
-
-      <para>
-        To install the <application>Python 2</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
-
-      <para>
-        To install the <application>Python 3</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directories</segtitle>
-
-        <seglistitem>
-          <seg>
-            easy_install, easy_install-&python2-majorver;, and easy_install-&python3-majorver;
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/lib/python&python2-majorver;/site-packages/setuptools,
-            /usr/lib/python&python2-majorver;/site-packages/setuptools-&setuptools-version;-py&python2-majorver;.egg-info and/or
-            /usr/lib/python&python3-majorver;/site-packages/setuptools,
-            /usr/lib/python&python3-majorver;/site-packages/setuptools-&setuptools-version;-py&python3-majorver;.egg-info
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!--End Setuptools -->
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ introduction/welcome/changelog.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -43,4 +43,14 @@
 -->
     <listitem>
+      <para>February 15th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Archive Setuptools and force pip to be built
+          with Python 2 and 3.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 14th, 2017</para>
       <itemizedlist>
Index: networking/netlibs/nghttp2.xml
===================================================================
--- networking/netlibs/nghttp2.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ networking/netlibs/nghttp2.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -88,7 +88,7 @@
       <xref linkend="libevent"/>, <!--required to build the examples-->
       <xref linkend="python2"/>, <!--required for the python bindings)-->
-      <phrase revision="systemd">
-        <xref linkend="setuptools"/>, <!--(required for the python bindings-->
-      </phrase>
+<!---      <phrase revision="systemd">
+        <xref linkend="setuptools"/>, <!- -(required for the python bindings- ->
+      </phrase> -->
       <ulink url="http://cunit.sourceforge.net/">CUnit</ulink> (required for
       the testsuite),
@@ -103,7 +103,7 @@
       <ulink url="https://mruby.org/">mruby</ulink>, <!--provides ruby support
       in the sample HTTP server-->
-      <phrase revision="sysv">
+<!--      <phrase revision="sysv">
         <ulink url="https://pypi.python.org/pypi/setuptools/">Setuptools</ulink>,
-      </phrase>
+      </phrase> -->
       <ulink url="https://tatsuhiro-t.github.io/spdylay/">Spdylay</ulink>, and
       <!--provide SPDY functionality-->
Index: packages.ent
===================================================================
--- packages.ent	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ packages.ent	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -386,5 +386,5 @@
 <!ENTITY pyxdg-version                "0.25">
 <!ENTITY PyYAML-version               "3.12">
-<!ENTITY setuptools-version           "30.2.0">
+<!-- <!ENTITY setuptools-version           "30.2.0"> -->
 <!ENTITY mako-version                 "1.0.4">
 
Index: pst/xml/docbook.xml
===================================================================
--- pst/xml/docbook.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ pst/xml/docbook.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -37,5 +37,5 @@
     transformations already written for that standard.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/xml/xmlto.xml
===================================================================
--- pst/xml/xmlto.xml	(revision 8b0eef4ca2cc2df7aa29e207f8a9d04f55f11be9)
+++ pst/xml/xmlto.xml	(revision 879932f1ad0d8f5475a97d95e621ba517c769140)
@@ -35,5 +35,5 @@
     necessary post-processing.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>