Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ introduction/welcome/changelog.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -45,4 +45,12 @@
       <para>August 21st, 2021</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.3337. Addresses
+          <ulink url="&blfs-ticket-root;12241">#12241</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xfsprogs-5.13.0. Fixes
+          <ulink url="&blfs-ticket-root;15440">#15440</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to ibus-1.5.25. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ packages.ent	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -53,5 +53,5 @@
 <!ENTITY smartmontools-version        "7.2">
 <!ENTITY sshfs-version                "3.7.2">
-<!ENTITY xfsprogs-version             "5.12.0">
+<!ENTITY xfsprogs-version             "5.13.0">
 
 <!-- Chapter 6 -->
@@ -63,5 +63,5 @@
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
 <!ENTITY nano-version                 "5.8">
-<!ENTITY vim-version                  "8.2.2890">
+<!ENTITY vim-version                  "8.2.3337">
 <!ENTITY vim-majmin                   "82">
 
Index: postlfs/editors/bluefish.xml
===================================================================
--- postlfs/editors/bluefish.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/editors/bluefish.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/emacs.xml
===================================================================
--- postlfs/editors/emacs.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/editors/emacs.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -120,4 +120,13 @@
 
     <para>
+      First, work around a portability bug in glibc 2.34, 
+      which no longer defines SIGSTKSZ.
+    </para>
+
+<screen><userinput>sed -e '/SIGSTKSZ/ s|^.*$|static max_align_t sigsegv_stack[\
+   (64 * 1024 + sizeof (max_align_t) - 1) / sizeof (max_align_t)];' \
+    -i src/sysdep.c</userinput></screen>
+
+    <para>
       Install <application>Emacs</application> by running the following
       commands:
@@ -126,6 +135,4 @@
 <screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
-<!-- make bootstrap only necessary for development versions obtained with git
--->
 
     <para>
Index: postlfs/editors/joe.xml
===================================================================
--- postlfs/editors/joe.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/editors/joe.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/editors/vim.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -9,8 +9,8 @@
   <!ENTITY vim-download-http "&sources-anduin-http;/vim/vim-&vim-version;.tar.gz">
   <!ENTITY vim-download-ftp  " ">
-  <!ENTITY vim-md5sum        "ec8a8ec5f67b0ad0edba82cad2354d33">
+  <!ENTITY vim-md5sum        "e0325a4988b1b99b9c2e46fa853c1980">
   <!ENTITY vim-size          "15 MB">
-  <!ENTITY vim-buildsize     "111 MB (add 72 MB for tests)">
-  <!ENTITY vim-time          "0.3 SBU (with parallelism=4; add 2.0 SBU for tests)">
+  <!ENTITY vim-buildsize     "109 MB (add 61 MB for tests)">
+  <!ENTITY vim-time          "0.3 SBU (with parallelism=4; add 2.1 SBU for tests)">
 ]>
 
@@ -55,5 +55,5 @@
     </note>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/dosfstools.xml
===================================================================
--- postlfs/filesystems/dosfstools.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/filesystems/dosfstools.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/jfs.xml
===================================================================
--- postlfs/filesystems/jfs.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/filesystems/jfs.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/mdadm.xml
===================================================================
--- postlfs/filesystems/mdadm.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/filesystems/mdadm.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/reiser.xml
===================================================================
--- postlfs/filesystems/reiser.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/filesystems/reiser.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/filesystems/xfsprogs.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -7,7 +7,7 @@
   <!ENTITY xfsprogs-download-http "&kernel-dl;/linux/utils/fs/xfs/xfsprogs/xfsprogs-&xfsprogs-version;.tar.xz">
   <!ENTITY xfsprogs-download-ftp  " ">
-  <!ENTITY xfsprogs-md5sum        "b401d76ccd66e4fdf3d123193e5e1b91">
+  <!ENTITY xfsprogs-md5sum        "86777a5762f2e524bb9acfdead5a9045">
   <!ENTITY xfsprogs-size          "1.2 MB">
-  <!ENTITY xfsprogs-buildsize     "58 MB">
+  <!ENTITY xfsprogs-buildsize     "50 MB">
   <!ENTITY xfsprogs-time          "0.3 SBU (Using parallelism=4)">
 ]>
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/dash.xml
===================================================================
--- postlfs/shells/dash.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/shells/dash.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/tcsh.xml
===================================================================
--- postlfs/shells/tcsh.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/shells/tcsh.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision 59eea9d945f8b078712b823097413f5af03851e9)
+++ postlfs/shells/zsh.xml	(revision 890456ea0071ac774f3657fdef5fb45a24764f7b)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>