Index: gnome/platform/gconf.xml
===================================================================
--- gnome/platform/gconf.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ gnome/platform/gconf.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ gnome/platform/gnome-keyring.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ gnome/platform/gvfs.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libsecret.xml
===================================================================
--- gnome/platform/libsecret.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ gnome/platform/libsecret.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/polkit-gnome.xml
===================================================================
--- gnome/platform/polkit-gnome.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ gnome/platform/polkit-gnome.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ gnome/platform/vte.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/gnome-icon-theme.xml
===================================================================
--- x/icons/gnome-icon-theme.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ x/icons/gnome-icon-theme.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/icon-naming-utils.xml
===================================================================
--- x/icons/icon-naming-utils.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ x/icons/icon-naming-utils.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -38,5 +38,5 @@
     Icon Naming Specification</ulink>.</para>
 
-   &lfs83_checked;
+   &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libxklavier.xml
===================================================================
--- x/lib/libxklavier.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ x/lib/libxklavier.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/parole.xml
===================================================================
--- xfce/apps/parole.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/apps/parole.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <note>
Index: xfce/apps/ristretto.xml
===================================================================
--- xfce/apps/ristretto.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/apps/ristretto.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfburn.xml
===================================================================
--- xfce/apps/xfburn.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/apps/xfburn.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-terminal.xml
===================================================================
--- xfce/apps/xfce4-terminal.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/apps/xfce4-terminal.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar-volman.xml
===================================================================
--- xfce/core/thunar-volman.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/thunar-volman.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/thunar.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -42,5 +42,5 @@
     Nautilus).-->
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/tumbler.xml
===================================================================
--- xfce/core/tumbler.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/tumbler.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-appfinder.xml
===================================================================
--- xfce/core/xfce4-appfinder.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/xfce4-appfinder.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-power-manager.xml
===================================================================
--- xfce/core/xfce4-power-manager.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/xfce4-power-manager.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-session.xml
===================================================================
--- xfce/core/xfce4-session.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/xfce4-session.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-settings.xml
===================================================================
--- xfce/core/xfce4-settings.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/xfce4-settings.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-xkb-plugin.xml
===================================================================
--- xfce/core/xfce4-xkb-plugin.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/xfce4-xkb-plugin.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -45,5 +45,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfdesktop.xml
===================================================================
--- xfce/core/xfdesktop.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/xfdesktop.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfwm4.xml
===================================================================
--- xfce/core/xfwm4.xml	(revision 5c7f24979db82076a9c1190d598620ea41dcf07c)
+++ xfce/core/xfwm4.xml	(revision 0891321c822f1d1b0c6f68f69eab8ea737560b38)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>