Index: introduction/welcome/askhelp.xml
===================================================================
--- introduction/welcome/askhelp.xml	(revision f88c4eed712d9ff581764fcc1f4c0ea7895a2788)
+++ introduction/welcome/askhelp.xml	(revision 907238e186dc39a29dfcd4dffe05ad0efc36a3b8)
@@ -7,88 +7,101 @@
 
 <sect1 id="intro-welcome-askhelp">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="askhelp.html"?>
-<title>Asking for help and the <acronym>FAQ</acronym></title>
+  <?dbhtml filename="askhelp.html"?>
 
-<para>If you encounter a problem while using this book, and your problem
-is not listed in the <acronym>FAQ</acronym> (<ulink
-url="http://www.linuxfromscratch.org/faq"/>), you will find that most of the 
-people on Internet Relay Chat (<acronym>IRC</acronym>) and on the mailing lists 
-are willing to help you. An overview of the <acronym>LFS</acronym> mailing 
-lists can be found in <xref linkend="intro-welcome-maillists"/>. To assist us 
-in diagnosing and solving your problem, include as much relevant information as 
-possible in your request for help.</para>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<sect2>
-<title>Things to check prior to asking</title>
+  <title>Asking for Help and the FAQ</title>
 
-<para>Before asking for help, you should review the following
-items:</para>
+  <para>If you encounter a problem while using this book, and your problem
+  is not listed in the FAQ (<ulink url="http://www.linuxfromscratch.org/faq"/>), 
+  you will find that most of the people on Internet Relay Chat (IRC) and on the 
+  mailing lists are willing to help you. An overview of the LFS mailing 
+  lists can be found in <xref linkend="intro-welcome-maillists"/>. To assist us 
+  in diagnosing and solving your problem, include as much relevant information as 
+  possible in your request for help.</para>
 
-<itemizedlist>
-<listitem><para>Is the hardware support compiled into the kernel or
-available as a module to the kernel?  If it is a module, is it configured
-properly in <filename>modules.conf</filename> and has it been loaded?  You
-should use <command>lsmod</command> as root to see if it's loaded. Check the
-<filename>sys.log</filename> or run <command>modprobe &lt;driver&gt;
-</command> to review any error message.  If it loads properly, you may need 
-to add the <command>modprobe</command> to your boot scripts.</para></listitem>
+  <sect2>
+    <title>Things to Check Prior to Asking</title>
 
-<listitem><para>Are your permissions properly set, especially for
-devices? <acronym>LFS</acronym> uses groups to make these settings easier, but 
-it also adds the step of adding users to groups to allow access. A simple
-<command>moduser -G audio &lt;user&gt;</command> may be all that's necessary 
-for that user to have access to the sound system.  Any question that starts 
-out with "It works as root, but not as ..." requires a thorough review
-of permissions prior to asking.</para></listitem>
+    <para>Before asking for help, you should review the following items:</para>
 
-<listitem><para><acronym>BLFS</acronym> liberally uses <filename>
-/opt/&lt;package&gt;</filename>. The main objection to this centers around the 
-need to expand your environment variables for each package placed there (e.g.,
-PATH=$PATH:/opt/kde/bin).  In some cases, the package will walk you
-through the changes, but some will not.  The section called "<ulink
-url="beyond.html">Going Beyond BLFS</ulink>" is available to help you check.</para></listitem>
-</itemizedlist></sect2>
+    <itemizedlist>
+      <listitem>
+        <para>Is the hardware support compiled into the kernel or
+        available as a module to the kernel?  If it is a module, is it configured
+        properly in <filename>modules.conf</filename> and has it been loaded?  You
+        should use <command>lsmod</command> as root to see if it's loaded. Check the
+        <filename>sys.log</filename> or run <command>modprobe &lt;driver&gt;
+        </command> to review any error message.  If it loads properly, you may need 
+        to add the <command>modprobe</command> to your boot scripts.</para>
+      </listitem>
+      <listitem>
+        <para>Are your permissions properly set, especially for devices? LFS 
+        uses groups to make these settings easier, but it also adds the step of 
+        adding users to groups to allow access. A simple <command>moduser 
+        -G audio &lt;user&gt;</command> may be all that's necessary for that 
+        user to have access to the sound system.  Any question that starts 
+        out with "It works as root, but not as ..." requires a thorough review
+        of permissions prior to asking.</para>
+      </listitem>
+      <listitem>
+        <para>BLFS liberally uses <filename>/opt/&lt;package&gt;</filename>. 
+        The main objection to this centers around the need to expand your 
+        environment variables for each package placed there (e.g.,
+        PATH=$PATH:/opt/kde/bin).  In some cases, the package will walk you
+        through the changes, but some will not.  The section called "<ulink
+        url="beyond.html">Going Beyond BLFS</ulink>" is available to help 
+        you check.</para>
+      </listitem>
+    </itemizedlist>
 
-<sect2>
-<title>Things to mention</title>
+  </sect2>
 
-<para>Apart from a brief explanation of the problem you're having, the
-essential things to include in your request are:</para>
+  <sect2>
+    <title>Things to Mention</title>
 
-<itemizedlist>
-<listitem><para>the version of the book you are using (being
-&version;),</para></listitem>
-<listitem><para>the package or section giving you
-problems,</para></listitem>
-<listitem><para>the exact error message or symptom you are
-receiving,</para></listitem>
-<listitem><para>whether you have deviated from the book or
-<acronym>LFS</acronym> at all.</para></listitem>
-</itemizedlist>
+    <para>Apart from a brief explanation of the problem you're having, the
+    essential things to include in your request are:</para>
 
-<para>(Note that saying that you've deviated from the book doesn't mean
-that we won't help you. It'll just help us to see other possible causes of your problem.)</para>
+    <itemizedlist>
+      <listitem>
+        <para>the version of the book you are using (being &version;),</para>
+      </listitem>
+      <listitem>
+        <para>the package or section giving you problems,</para>
+      </listitem>
+      <listitem>
+        <para>the exact error message or symptom you are receiving,</para>
+      </listitem>
+      <listitem>
+        <para>whether you have deviated from the book or LFS at all.</para>
+      </listitem>
+    </itemizedlist>
 
-<para>Expect guidance instead of specific instructions. If you are
-instructed to read something, please do so. It generally implies that
-the answer was way too obvious and that the question would not have been asked 
-if a little research was done prior to asking. The volunteers in the mailing 
-list prefer not to be used as an alternative to doing reasonable research on
-your end.  In addition, the quality of your experience with <acronym>BLFS
-</acronym> is also greatly enhanced by this research, and the quality of 
-volunteers is enhanced because they don't feel that their time has been abused, 
-so they are far more likely to participate.</para>
+    <para>(Note that saying that you've deviated from the book doesn't mean
+    that we won't help you. It'll just help us to see other possible causes 
+    of your problem.)</para>
 
-<para>An excellent article on asking for help on the Internet in general
-has been written by Eric S. Raymond. It is available online at <ulink
-url="http://www.catb.org/~esr/faqs/smart-questions.html"/>.
-Read and follow the hints in that document and you are much more likely
-to get a response to start with and also to get the help you actually
-need.</para>
-</sect2>
+    <para>Expect guidance instead of specific instructions. If you are
+    instructed to read something, please do so. It generally implies that
+    the answer was way too obvious and that the question would not have 
+    been asked if a little research was done prior to asking. The volunteers 
+    in the mailing list prefer not to be used as an alternative to doing 
+    reasonable research on your end.  In addition, the quality of your 
+    experience with BLFS  is also greatly enhanced by this research, and 
+    the quality of volunteers is enhanced because they don't feel that their 
+    time has been abused, so they are far more likely to participate.</para>
+
+    <para>An excellent article on asking for help on the Internet in general
+    has been written by Eric S. Raymond. It is available online at 
+    <ulink url="http://www.catb.org/~esr/faqs/smart-questions.html"/>.
+    Read and follow the hints in that document and you are much more likely
+    to get a response to start with and also to get the help you actually
+    need.</para>
+
+  </sect2>
 
 </sect1>